Package co.aikar.util

# Class LoadingMap.Feeder<T>

java.lang.Object
co.aikar.util.LoadingMap.Feeder<T>

Type Parameters:
  `T` - Type

All Implemented Interfaces:
  `Function<T,T>`

Enclosing class:
  LoadingMap<K,V>

public abstract static class LoadingMap.Feeder<T> extends Object implements Function<T,T>
Due to java stuff, you will need to cast it to (Function) for some cases

## Constructor Summary

Constructors
Constructor
Description
`Feeder()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`apply()`
`T`
`apply(@Nullable Object input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### Feeder

public Feeder()

## Method Details

### apply

@Nullable public T apply(@Nullable @Nullable Object input)

Specified by:
  `apply` in interface `Function<T,T>`

### apply

@Nullable public abstract T apply()